<template>
  <div class="process-warn">
    <div class="close el-icon-close" @click="close"></div>
    <span class="el-icon-question"></span>
    <div class="title">确认提示</div>
    <div class="des">请确定预警数据是否已处理？</div>
    <div class="radio">
      <el-radio v-model="radio" :label="false">未处理</el-radio>
      <el-radio v-model="radio" :label="true">已处理</el-radio>
    </div>
    <div class="btn">
      <div class="cancel" @click="close">取消</div>
      <div class="save" @click="save">确定</div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    warnObj: {
      warnObj: true,
    },
  },
  data() {
    return {
      radio: false,
    };
  },
  methods: {
    close() {
      this.$emit("close", this.warnObj);
    },
    save() {
      if (this.radio) {
        this.$emit("save", this.warnObj);
      }
      this.$emit("close", this.warnObj);
    },
  },
};
</script>

<style scoped lang="scss">
.process-warn {
  position: fixed;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 2;
  padding: 48px 30px 30px 30px;

  width: 420px;
  height: 274px;
  left: 50%;
  top: 50%;
  margin-top: -15%;
  margin-left: -15%;

  background: #ffffff;
  border-radius: 8px;
  color: #4f4f4f;

  span {
    font-size: 40px;
    color: #ffaa44;
    cursor: pointer;
  }

  .close {
    position: absolute;
    top: 12px;
    right: 12px;
    font-size: 12px;
    font-weight: 700;
  }

  .title {
    margin: 6px 0 4px 0;
    font-weight: 700;
    font-size: 16px;
  }

  .des {
    margin-bottom: 10px;
    font-size: 14px;
    color: #828282;
  }

  label ::v-deep .el-radio__inner:hover {
    border-color: #ffaa44;
  }

  label.is-checked {
    ::v-deep .el-radio__inner {
      border-color: #ffaa44;
      background: #ffaa44;
    }
    ::v-deep .el-radio__label {
      color: #ffaa44;
    }
  }

  .btn {
    display: flex;
    margin-top: 34px;
    justify-content: space-between;
    width: 100%;
  }

  .cancel {
    width: 175px;
    height: 40px;
    border: 1px solid #e0e0e0;
    box-sizing: border-box;
    border-radius: 25px;
    font-size: 16px;
    line-height: 40px;
    color: #333;
    cursor: pointer;
  }

  .save {
    width: 175px;
    height: 40px;
    background: #11aa66;
    border-radius: 25px;
    font-size: 16px;
    line-height: 40px;
    color: #fff;
    cursor: pointer;
  }
}
</style>